All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Interface RemoteBookmarkManagerInterface

All Known Subinterfaces:
  BookmarkManagerInterface, BookmarkManagerV2Interface, RemoteBookmarkManagerV2Interface

All Known Implementing Classes:
  _rprxIOMBookmarkManager, _rprxIOMBookmarkManagerV2, _rprxJ2BookmarkManager, _rprxJ2BookmarkManagerV2, _rprxRemoteBookmarkManagerClient, _rprxRemoteBookmarkManagerV2Client, _rprxRemoteDesignTimeBookmarkManager, _rprxRemoteDesignTimeBookmarkManagerV2

    public interface RemoteBookmarkManagerInterface

Method Summary
`abstract com.sas.collection.hlist.HListInterface` | `_getBookmarkData(com.sas.collection.hlist.HListInterface bookmarkID)`
`abstract com.sas.collection.hlist.HListInterface` | `_getBookmarks(long documentID, java.lang.String userName)`
`abstract com.sas.collection.hlist.HListInterface` | `_getBookmarks(long documentID, java.lang.String userName, java.lang.String password)`
`abstract java.lang.String[]` | `_getMessage()`
`abstract com.sas.collection.hlist.HListInterface` | `_getUsers(long documentID, boolean all)`
`abstract long` | `_setBookmarks(java.lang.String documentName, long documentID, java.lang.String userName, java.lang.String password, com.sas.collection.hlist.HListInterface bookmarks)`
`abstract long` | `_validateUser(java.lang.String userName, java.lang.String password)`

Method Detail

### _getBookmarks

    com.sas.collection.hlist.HListInterface _getBookmarks(long documentID,
                                                          java.lang.String userName)

### _getBookmarks

    com.sas.collection.hlist.HListInterface _getBookmarks(long documentID,
                                                          java.lang.String userName,
                                                          java.lang.String password)

### _setBookmarks

    long _setBookmarks(java.lang.String documentName,
                       long documentID,
                       java.lang.String userName,
                       java.lang.String password,
                       com.sas.collection.hlist.HListInterface bookmarks)

### _getUsers

    com.sas.collection.hlist.HListInterface _getUsers(long documentID,
                                                      boolean all)

### _validateUser

    long _validateUser(java.lang.String userName,
                       java.lang.String password)

### _getMessage

    java.lang.String[] _getMessage()

### _getBookmarkData

    com.sas.collection.hlist.HListInterface _getBookmarkData(com.sas.collection.hlist.HListInterface bookmarkID)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.